BUF_ISLOCKED(9)

NAME
BUF_ISLOCKED - returns the state of the lock linked to the buffer

SYNOPSIS
#include <sys/param.h>
#include <sys/systm.h>
#include <sys/uio.h>
#include <sys/bio.h>
#include <sys/buf.h>
int
BUF_ISLOCKED(struct buf *bp);

DESCRIPTION
The BUF_ISLOCKED() function returns the status of the lock linked to the buffer in relation to curthread.

It can return:

LK_EXCLUSIVE
    An exclusive lock is held by curthread.

LK_EXCLOTHER
    An exclusive lock is held by someone other than curthread

LK_SHARED
    A shared lock is held.

0   The lock is not held by anyone.

SEE ALSO
lockstatus(9), buf(9), BUF_LOCK(9), BUF_UNLOCK(9), lockmgr(9)

AUTHORS
This manual page was written by Attilio Rao <attilio@FreeBSD.org>.